FLANG

Public Member Functions | Protected Member Functions | Friends | List of all members
Fortran::semantics::IntrinsicTypeSpec Class Reference
Inheritance diagram for Fortran::semantics::IntrinsicTypeSpec:

## Public Member Functions
TypeCategory | category () const
const KindExpr & | kind () const
bool | operator== (const IntrinsicTypeSpec &x) const
bool | operator!= (const IntrinsicTypeSpec &x) const
std::string | AsFortran () const

## Protected Member Functions
| IntrinsicTypeSpec (TypeCategory, KindExpr &&)

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &os, const IntrinsicTypeSpec &x)

The documentation for this class was generated from the following files:

- include/flang/Semantics/type.h
- lib/Semantics/type.cpp